ws-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AXIOM-424) axiom bundles does not have MANIFEST.MF as first entry of the zip
Date Mon, 22 May 2017 14:35:04 GMT

    [ https://issues.apache.org/jira/browse/AXIOM-424?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16019635#comment-16019635
] 

Hudson commented on AXIOM-424:
------------------------------

SUCCESS: Integrated in Jenkins build axiom-trunk #2853 (See [https://builds.apache.org/job/axiom-trunk/2853/])
Use maven-bundle-plugin instead of maven-shade-plugin to include aspects and components into
OSGi bundles. This should also solve AXIOM-424. (veithen: rev 1795801)
* (edit) axiom/aspects/core-aspects/pom.xml
* (edit) axiom/aspects/dom-aspects/pom.xml
* (edit) axiom/aspects/fom-aspects/pom.xml
* (edit) axiom/aspects/om-aspects/pom.xml
* (edit) axiom/aspects/pom.xml
* (edit) axiom/aspects/shared-aspects/pom.xml
* (edit) axiom/axiom-api/pom.xml
* (edit) axiom/buildutils/pom.xml
* (delete) axiom/buildutils/shade-osgi
* (edit) axiom/components/base64-utils/pom.xml
* (edit) axiom/components/core-streams/pom.xml
* (edit) axiom/components/pom.xml
* (edit) axiom/components/xml-utils/pom.xml
* (edit) axiom/implementations/axiom-dom/pom.xml
* (edit) axiom/implementations/axiom-impl/pom.xml
* (edit) axiom/implementations/fom-impl/pom.xml
* (edit) axiom/implementations/pom.xml
* (edit) axiom/pom.xml


> axiom bundles does not have MANIFEST.MF as first entry of the zip
> -----------------------------------------------------------------
>
>                 Key: AXIOM-424
>                 URL: https://issues.apache.org/jira/browse/AXIOM-424
>             Project: Axiom
>          Issue Type: Bug
>          Components: DOOM, LLOM
>    Affects Versions: 1.2.13
>         Environment: Karaf 2.2.6
>            Reporter: Tomas Forsman
>
> The problem occurs when trying to install axiom-impl (or axiom-dom) from within a karaf-feature
> <feature name="axiom-test" version="1.0.0-SNAPSHOT">
>         <!-- possible that other bundles are needed here, this is just an example
-->
>         <bundle>mvn:org.apache.ws.commons.axiom/axiom-api/1.2.13</bundle>
>         <bundle>mvn:org.apache.ws.commons.axiom/axiom-dom/1.2.13</bundle>
>         <bundle>mvn:org.apache.ws.commons.axiom/axiom-impl/1.2.13</bundle>
> </feature>
> Typeing "feature:install axiom-test" from within karaf will give the following error:
> "Error executing command: Manifest not present in the first entry of the zip mvn:org.apache.ws.commons.axiom/axiom-impl/1.2.13"
> OpenJPA had the same issue and has solved it: https://issues.apache.org/jira/browse/OPENJPA-1737
> "This issue only shows up when you do a features:install because the
> features service is looking at the MANIFEST.MF right upfront to
> determine if it needs to install the bundle or if there's already a
> suitable bundle available in the container." -- http://mail-archives.apache.org/mod_mbox/karaf-user/201106.mbox/%3CBANLkTim7gVYOWqwaZRYUFOOHcJ0La2Y8iA@mail.gmail.com%3E



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ws.apache.org
For additional commands, e-mail: dev-help@ws.apache.org


Mime
View raw message